Subject: [PATCH v3 1/6] PCI: designware: remove wrong io_base assignment

From: [email-masked] (Arnd Bergmann)
Date: Mon, 23 Nov 2015 17:40:56 +0100

On Monday 23 November 2015 18:23:47 Stanimir Varbanov wrote:
> >>
> >> Fixes: 0021d22b73d6 ("PCI: designware: Use of_pci_get_host_bridge_resources()
> >> to parse DT")
> >> Reviewed-by: Arnd Bergmann <[email-masked]>
> 
> I think the bug is introduced in:
> 
> cbce7900598c ("PCI: designware: Make driver arch-agnostic")
> 
> cause the io_base is correctly calculated in 0021d22b73d6, do you agree?

I think cbce7900598c just slightly changes the io_base value, but
it's still referring to a bus address, not a cpu address, both before
and after the patch.

0021d22b73d6 hower seems to remove the correct 'pp->io_base = range.cpu_addr;'
and replaces it with 'pp->io_base = pp->io->start;', so it's now in
the wrong address space.

	Arnd